<script type="text/javascript"> 
    function submitForm() {
        document.getElementById("updateForm").submit();
    } 
</script>
<?php
if ($this->noimage) {
    $display_image = false;
} else {
    $display_image = true;
}
if ($this->noedit) {
    $display_edit = false;
} else {
    $display_edit = true;
}

if ($display_edit) { ?>
<form method='post' id='updateForm' action='/admin/sales/new/'>    
<?php } ?>
<table class="cart-table">
    <thead>
        <tr>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td class='left'>
                <strong class='cufon'><?= $this->str_order_product ?></strong>
            </td>
            <td class='left'>                
                <strong class='cufon'><?= $this->str_order_size ?></strong>
            </td>
            <td class='right' style='width: 40px; padding-left: 30px'>                
                <strong class='cufon'><?= $this->str_order_unit_price ?></strong>
            </td>
            <td class='left' style='width: 40px; padding-left: 30px'>                
                <strong class='cufon'><?= $this->str_order_quantity ?></strong>
            </td>
            <td class='right'>                
                <strong class='cufon'><?= $this->str_order_total_price_noVAT ?></strong>
            </td>
            <td class='right'>                
                <strong class='cufon'><?= $this->str_order_total_price ?></strong>
            </td>
            <td style='width: 40px'>
                &nbsp;
            </td>
    </tr>
    </thead>
    <tbody>
    <?php
    $count = 0;
    $totalprice = 0;
    $totalpriceNoVAT = 0;
    foreach ($this->cartProducts as $product) {
        $count++;        
        ?>
        <tr>
            <?php 
            if ($display_image) { ?>
            <td>
                <div class="product-imageholder">
                    <img src="<?= $product->getImage(); ?>" class='product-image'>
                </div>
            </td>
            <?php } ?>           
            <td>
                <h3 class="cufon">
                <?= $product->getTitle()?>
                </h3>
                <p>
                    <?php if ($product->getCode()) { echo "<b>" . $this->str_code . "</b>" . $product->getCode() . "</br>"; } ?>
                    <?php if ($product->getNote()) { echo "<b>" . $this->str_note . "</b>" . $product->getNote() . "</br>"; } ?>
                </p>
            </td>
            <td>                
                <?php 
                $id = $product->getProductId();
                if (strpos($product->getSize(), ';')) {
                    $sizes = explode(';', $product->getSize());                    
                    $cart = new Zend_Session_Namespace('Cart');
                    if ($display_edit) {
                        echo "<select name='size-$count' onchange='submitForm();'>";
                        foreach ($sizes as $key => $value) {
                            echo ($key == $cart->$id->size) ? "<option value='$key' selected='selected' />$value" : "<option value='$key' />$value";
                        }
                        echo "</select><br/>";
                    } else {
                        echo $sizes[$cart->$id->size];
                    }
                } else {
                    echo $product->getSize();
                }?>
            </td>                    
            <td class="right">
                <?php if ($display_edit) {?>
                <input type='text'   name='price-<?= $count ?>' value='<?= $product->getPrice(); ?>' onchange='submitForm();' style='width: 92%; text-align: right; z-index: 2000'/>
                <?php } else { ?>
                <?= $product->getPrice(); ?>
                <?php } ?>
            </td>
            <td class='right' style='width: 40px; padding-left: 30px'>
                <?php if ($display_edit) { ?>
                <input type='text'   name='quantity-<?= $count ?>' value='<?= $product->getQuantity(); ?>' onchange='submitForm();' style='width: 92%; text-align: right; z-index: 2000'/>
                <input type='hidden' name='product_id-<?= $count ?>' value='<?= $product->getProductId(); ?>' />
                <?php } else { ?>
                <?= $product->getQuantity(); ?>
                <?php } 
                if (isset($this->msg_available[$id])) {?>
                <div style="position: absolute; width: 140px; border: 1px solid red; color: red; background-color: white; padding: 5px; margin-top: 10px; margin-left: -50px; text-align: left">
                    <?= $this->form_available1 . " " . $this->msg_available[$id] . " " . $this->form_available2 ?>
                </div>
                <?php } ?>
            </td>
            <td class="right">
                <?= $this->currency->toCurrency($product->getTotalPriceNoVAT()); ?>
            </td> 
            <td class="right">
                <?= $this->currency->toCurrency($product->getTotalPrice()); ?>
            </td>        
            <td style="width: 25px; text-align: right;">
                <?php if ($display_edit) {?>
                    <a href='/cart/empty/?product_id=<?= $product->getProductId(); ?>'>
                        <img src="/graphics/delete.png" alt="odstranit"/>
                    </a>
                <?php
                } else {
                    echo "&nbsp;";
                }
                ?>
            </td>            
        </tr>
        <?php 
        $totalprice += $product->getTotalPrice();
        $totalpriceNoVAT += $product->getTotalPriceNoVAT();
        }       
        ?>
        <tr style='border-top: 3px solid black; height: 40px;'>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            
            <td>
                Celkem
            </td>
            <td>
                &nbsp;
            </td>           
            <td class="right">
                &nbsp;
            </td>
            <td class="right">
                &nbsp;
            </td>
            <td class="right">
                <?= $this->currency->toCurrency($totalpriceNoVAT) ?>
            </td>
            <td class="right">
                <?= $this->currency->toCurrency($totalprice) ?>
            </td>
            <td>
                &nbsp;
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
    </tbody>
</table>   
<?php if ($display_edit) { ?>
    <input type='hidden' name='update' value='<?= $count ?>' />
    <input type='submit' value='Přepočítat' class='nodisplay'/>
</form>
<?php } ?>

